Package com.complexible.common.base

# Class ImmutableCollectors

java.lang.Object
com.complexible.common.base.ImmutableCollectors

public final class ImmutableCollectors extends Object

Since:
  4.0
Version:
  4.0
Author:
  Michael Grove, Fernando Hernandez

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> Collector<T,com.google.common.collect.ImmutableList.Builder<T>,com.google.common.collect.ImmutableList<T>>`
  `toList()`
  `static <T, K, V> Collector<T,com.google.common.collect.ImmutableMap.Builder<K,V>,com.google.common.collect.ImmutableMap<K,V>>`
  `toMap(Function<? super T,? extends K> keyMapper, Function<? super T,? extends V> valueMapper)`
  `static <T, K, V> Collector<T,com.google.common.collect.HashMultimap<K,V>,com.google.common.collect.Multimap<K,V>>`
  `toMultimap(Function<? super T,? extends K> keyMapper, Function<? super T,? extends V> valueMapper)`
  `static <T> Collector<T,com.google.common.collect.ImmutableSet.Builder<T>,com.google.common.collect.ImmutableSet<T>>`
  `toSet()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### toSet

    public static <T> Collector<T,com.google.common.collect.ImmutableSet.Builder<T>,com.google.common.collect.ImmutableSet<T>> toSet()

  - ### toList

    public static <T> Collector<T,com.google.common.collect.ImmutableList.Builder<T>,com.google.common.collect.ImmutableList<T>> toList()

  - ### toMap

    public static <T, K, V> Collector<T,com.google.common.collect.ImmutableMap.Builder<K,V>,com.google.common.collect.ImmutableMap<K,V>> toMap(Function<? super T,? extends K> keyMapper, Function<? super T,? extends V> valueMapper)

  - ### toMultimap

    public static <T, K, V> Collector<T,com.google.common.collect.HashMultimap<K,V>,com.google.common.collect.Multimap<K,V>> toMultimap(Function<? super T,? extends K> keyMapper, Function<? super T,? extends V> valueMapper)